Get Attack Discovery schedule by ID
Base URL
https://{kibana_url}
GET
/api/attack_discovery/schedules/{id}
GET
/s/{space_id} /api/attack_discovery/schedules/{id}
Auth
Retrieves a specific Attack Discovery schedule by its unique identifier. Returns complete schedule configuration including parameters, interval settings, associated actions, and execution history.
Expand all
space_id
string
optional
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
id
string · format: nonempty · min length: 1
required
The unique identifier (UUID) of the Attack Discovery schedule to retrieve. This ID is returned when creating a schedule and can be found in schedule listings.
Example:
12345678-1234-1234-1234-123456789012
200
Successfully retrieved Attack Discovery schedule with complete configuration and metadata
application/json
actions
union oneOf []
required
The Attack Discovery schedule actions
One of:
−
Hide 7 properties
action_type_id
string
required
The action type used for sending notifications.
frequency
object
The action frequency defines when the action runs (for example, only on schedule execution or at specific time intervals).
+
Show 3 properties
notify_when
enum
required
The condition for throttling the notification: onActionGroupChange, onActiveAlert, or onThrottleInterval
Values:
onActiveAlert
onThrottleInterval
onActionGroupChange
summary
boolean
required
Action summary indicates whether we will send a summary notification about all the generate alerts or notification per individual alert
throttle
string · pattern: ^[1-9]\d*[smhd]$
required
Defines how often schedule actions are taken. Time interval in seconds, minutes, hours, or days.
group
string
required
Groups actions by use cases. Use default for alert notifications.
id
string
required
The connector ID.
params
object
required
Object containing the allowed connector fields, which varies according to the connector type.
uuid
string · format: nonempty · min length: 1
A string that does not contain only whitespace characters.
−
Hide 4 properties
action_type_id
string
required
The action type used for sending notifications.
id
string
required
The connector ID.
params
object
required
Object containing the allowed connector fields, which varies according to the connector type.
uuid
string · format: nonempty · min length: 1
A string that does not contain only whitespace characters.
created_at
string · format: date-time
required
The date the schedule was created
created_by
string
required
The name of the user that created the schedule
enabled
boolean
required
Indicates whether the schedule is enabled
id
string
required
UUID of Attack Discovery schedule
last_execution
object
An Attack Discovery schedule execution information
+
Show 4 properties
date
string · format: date-time
required
Date of the execution
duration
number
Duration of the execution
status
enum
required
An Attack Discovery schedule execution status
Values:
ok
active
error
unknown
warning
name
string
required
The name of the schedule
params
object
required
An Attack Discovery schedule params
−
Hide 8 properties
alerts_index_pattern
string
required
The index pattern to get alerts from
api_config
object
required
LLM API configuration.
−
Hide 6 properties
actionTypeId
string
required
Action type ID
connectorId
string
required
Connector ID
defaultSystemPromptId
string
Default system prompt ID
provider
enum
Provider
Values:
OpenAI
Azure OpenAI
Other
name
string
required
The name of the connector
filters
object []
The filter array used to define the conditions for when alerts are selected as an Attack Discovery context. Defaults to an empty array.
query
object
An query condition to filter alerts
+
Show 2 properties
query
string | object
required
schedule
object
required
−
Hide 1 property
interval
string
required
The schedule interval
updated_at
string · format: date-time
required
The date the schedule was updated
updated_by
string
required
The name of the user that updated the schedule
message
string
Human-readable error message describing what went wrong
status_code
number
HTTP status code